"use strict";
var fs = require('fs');
var presets_1 = require('./presets');
function validateMessage(message, options) {
    if (options === void 0) { options = {}; }
    if (!message) {
        return false;
    }
    message = message.trim();
    options = Object.assign({
        preset: 'angular'
    }, options);
    var preset = presets_1.default[options.preset];
    if (!preset) {
        throw new Error("Preset '" + options.preset + "' does not exist. A preset must be provided");
    }
    var validate = preset.validate, ignorePattern = preset.ignorePattern;
    if (ignorePattern && ignorePattern.test(message)) {
        if (process.env.SILENT === 'true' || !process.env.SILENT) {
            console.warn('Commit message validation ignored.');
        }
        return true;
    }
    return validate(message);
}
exports.validateMessage = validateMessage;
;
function getMessageFromBuffer(buffer) {
    return buffer.toString();
}
;
function validateMessageFromFile(file, options) {
    if (options === void 0) { options = {}; }
    var buffer = fs.readFileSync(file);
    var message = getMessageFromBuffer(buffer);
    return validateMessage(message, options);
}
exports.validateMessageFromFile = validateMessageFromFile;
;
